## NMDeviceWireGuard NMDeviceWireGuard |

## Functions

GBytes * | nm_device_wireguard_get_public_key ()
guint16 | nm_device_wireguard_get_listen_port ()
guint32 | nm_device_wireguard_get_fwmark ()

## Types and Values

#define | NM_DEVICE_WIREGUARD_PUBLIC_KEY
#define | NM_DEVICE_WIREGUARD_LISTEN_PORT
#define | NM_DEVICE_WIREGUARD_FWMARK

## Description

## Functions

### nm_device_wireguard_get_public_key ()

    GBytes *
    nm_device_wireguard_get_public_key (NMDeviceWireGuard *device);

### nm_device_wireguard_get_listen_port ()

    guint16
    nm_device_wireguard_get_listen_port (NMDeviceWireGuard *device);

### nm_device_wireguard_get_fwmark ()

    guint32
    nm_device_wireguard_get_fwmark (NMDeviceWireGuard *device);

## Types and Values

### NM_DEVICE_WIREGUARD_PUBLIC_KEY

    #define NM_DEVICE_WIREGUARD_PUBLIC_KEY  "public-key"

### NM_DEVICE_WIREGUARD_LISTEN_PORT

    #define NM_DEVICE_WIREGUARD_LISTEN_PORT "listen-port"

### NM_DEVICE_WIREGUARD_FWMARK

    #define NM_DEVICE_WIREGUARD_FWMARK      "fwmark"